<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="pt">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Feb 18 11:40:30 GMT 2020 -->
<title>DirectedGraph</title>
<meta name="date" content="2020-02-18">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="DirectedGraph";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../Graph/DirectedNetwork.html" title="class in Graph"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?Graph/DirectedGraph.html" target="_top">Frames</a></li>
<li><a href="DirectedGraph.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.Graph.Graph">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">Graph</div>
<h2 title="Class DirectedGraph" class="title">Class DirectedGraph&lt;T&gt;</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../Graph/Graph.html" title="class in Graph">Graph.Graph</a>&lt;T&gt;</li>
<li>
<ul class="inheritance">
<li>Graph.DirectedGraph&lt;T&gt;</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../Graph/GraphADT.html" title="interface in Graph">GraphADT</a>&lt;T&gt;</dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../Graph/DirectedNetwork.html" title="class in Graph">DirectedNetwork</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">DirectedGraph&lt;T&gt;</span>
extends <a href="../Graph/Graph.html" title="class in Graph">Graph</a>&lt;T&gt;
implements <a href="../Graph/GraphADT.html" title="interface in Graph">GraphADT</a>&lt;T&gt;</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.Graph.Graph">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;Graph.<a href="../Graph/Graph.html" title="class in Graph">Graph</a></h3>
<code><a href="../Graph/Graph.html#adjMatrix">adjMatrix</a>, <a href="../Graph/Graph.html#DEFAULT_CAPACITY">DEFAULT_CAPACITY</a>, <a href="../Graph/Graph.html#DEFAULT_EXPAND_BY">DEFAULT_EXPAND_BY</a>, <a href="../Graph/Graph.html#numVertices">numVertices</a>, <a href="../Graph/Graph.html#vertices">vertices</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../Graph/DirectedGraph.html#DirectedGraph--">DirectedGraph</a></span>()</code>
<div class="block">Constructor of a Directed Graph with a default capacity of 10</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../Graph/DirectedGraph.html#DirectedGraph-int-">DirectedGraph</a></span>(int&nbsp;capacity)</code>
<div class="block">Constructor of a Directed Graph with a capacity given by the user</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Graph/DirectedGraph.html#addEdge-int-int-">addEdge</a></span>(int&nbsp;index1,
       int&nbsp;index2)</code>
<div class="block">Inserts an edge between two vertices of the graph from the vertex with
 the index 1 to the one with the index 2</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Graph/DirectedGraph.html#addEdge-T-T-">addEdge</a></span>(<a href="../Graph/DirectedGraph.html" title="type parameter in DirectedGraph">T</a>&nbsp;vertex1,
       <a href="../Graph/DirectedGraph.html" title="type parameter in DirectedGraph">T</a>&nbsp;vertex2)</code>
<div class="block">Inserts an edge between two vertices of the graph from v1 to v2</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.Graph.Graph">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;Graph.<a href="../Graph/Graph.html" title="class in Graph">Graph</a></h3>
<code><a href="../Graph/Graph.html#addVertex-T-">addVertex</a>, <a href="../Graph/Graph.html#expandCapacity--">expandCapacity</a>, <a href="../Graph/Graph.html#getIndex-T-">getIndex</a>, <a href="../Graph/Graph.html#indexIsValid-int-">indexIsValid</a>, <a href="../Graph/Graph.html#isConnected--">isConnected</a>, <a href="../Graph/Graph.html#isEmpty--">isEmpty</a>, <a href="../Graph/Graph.html#iteratorBFS-T-">iteratorBFS</a>, <a href="../Graph/Graph.html#iteratorDFS-T-">iteratorDFS</a>, <a href="../Graph/Graph.html#iteratorShortestPath-T-T-">iteratorShortestPath</a>, <a href="../Graph/Graph.html#removeEdge-T-T-">removeEdge</a>, <a href="../Graph/Graph.html#removeVertex-T-">removeVertex</a>, <a href="../Graph/Graph.html#size--">size</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.Graph.GraphADT">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;Graph.<a href="../Graph/GraphADT.html" title="interface in Graph">GraphADT</a></h3>
<code><a href="../Graph/GraphADT.html#addVertex-T-">addVertex</a>, <a href="../Graph/GraphADT.html#isConnected--">isConnected</a>, <a href="../Graph/GraphADT.html#isEmpty--">isEmpty</a>, <a href="../Graph/GraphADT.html#iteratorBFS-T-">iteratorBFS</a>, <a href="../Graph/GraphADT.html#iteratorDFS-T-">iteratorDFS</a>, <a href="../Graph/GraphADT.html#iteratorShortestPath-T-T-">iteratorShortestPath</a>, <a href="../Graph/GraphADT.html#removeEdge-T-T-">removeEdge</a>, <a href="../Graph/GraphADT.html#removeVertex-T-">removeVertex</a>, <a href="../Graph/GraphADT.html#size--">size</a>, <a href="../Graph/GraphADT.html#toString--">toString</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="DirectedGraph--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DirectedGraph</h4>
<pre>public&nbsp;DirectedGraph()</pre>
<div class="block">Constructor of a Directed Graph with a default capacity of 10</div>
</li>
</ul>
<a name="DirectedGraph-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DirectedGraph</h4>
<pre>public&nbsp;DirectedGraph(int&nbsp;capacity)</pre>
<div class="block">Constructor of a Directed Graph with a capacity given by the user</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>capacity</code> - inicial capacity of the graph</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="addEdge-java.lang.Object-java.lang.Object-">
<!--   -->
</a><a name="addEdge-T-T-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addEdge</h4>
<pre>public&nbsp;void&nbsp;addEdge(<a href="../Graph/DirectedGraph.html" title="type parameter in DirectedGraph">T</a>&nbsp;vertex1,
                    <a href="../Graph/DirectedGraph.html" title="type parameter in DirectedGraph">T</a>&nbsp;vertex2)</pre>
<div class="block">Inserts an edge between two vertices of the graph from v1 to v2</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../Graph/GraphADT.html#addEdge-T-T-">addEdge</a></code>&nbsp;in interface&nbsp;<code><a href="../Graph/GraphADT.html" title="interface in Graph">GraphADT</a>&lt;<a href="../Graph/DirectedGraph.html" title="type parameter in DirectedGraph">T</a>&gt;</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../Graph/Graph.html#addEdge-T-T-">addEdge</a></code>&nbsp;in class&nbsp;<code><a href="../Graph/Graph.html" title="class in Graph">Graph</a>&lt;<a href="../Graph/DirectedGraph.html" title="type parameter in DirectedGraph">T</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>vertex1</code> - the first vertex</dd>
<dd><code>vertex2</code> - the second vertex</dd>
</dl>
</li>
</ul>
<a name="addEdge-int-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>addEdge</h4>
<pre>private&nbsp;void&nbsp;addEdge(int&nbsp;index1,
                     int&nbsp;index2)</pre>
<div class="block">Inserts an edge between two vertices of the graph from the vertex with
 the index 1 to the one with the index 2</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>index1</code> - the first index</dd>
<dd><code>index2</code> - the second index</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../Graph/DirectedNetwork.html" title="class in Graph"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?Graph/DirectedGraph.html" target="_top">Frames</a></li>
<li><a href="DirectedGraph.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.Graph.Graph">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
